Subject: Re: bug#46299: 28.0.50; Value of tab-bar-show not respected in new frames.

From: Bastian Beranek <[email-masked]>
Date: Tue, 9 Feb 2021 19:46:14 +0100

On Tue, Feb 9, 2021 at 7:15 PM Juri Linkov <[email-masked]> wrote:
>
> > I don't think tab-bar-mode can vary from frame to frame?
>
> Indeed, currently tab-bar-mode is global, but not frame-local.
> It's just a convenient way to enable the tab-bar without creating
> a new tab first (when tab-bar-show is t).  Another convenience of
> tab-bar-mode is enabling the C-TAB keybindings for switching tabs.
>
> > Hope this is satisfactory, if not please feel free to adjust as you wish.
>
> Thanks, looks nice, but needs a little more testing with different settings.
>

Thanks. I have been running it myself for a while now and didn't
notice anything, but more testing is always good!

> > Do I need to do the contribution paperworks for this patch? So far I
> > haven't done that.
>
> I don't know.  Please ask Eli or Lars if your contributions
> fit into the updated rule in https://debbugs.gnu.org/44834#73

Eli, Lars, what do you think? Since I already contributed a few
patches I would guess I need to assign copyright. I am fine with that,
maybe it's time to do it even if my contribution could be accepted
without. Could you please send me the form?